#!/usr/bin/env ruby
#
# URL: http://ruby.scripting.ca/postgres/rdoc/
#
# $Id: show_dbs.rb 8 2007-12-06 10:36:47Z isr $

require 'psql_utils.rb'

db = 'template1'
user = 'postgres'
conn = PGconn.connect(nil, nil, nil, nil, db, user, nil)
# if your Ruby library is wise
#conn = PGconn.connect('dbname' => db, :user => 'postgres')
# a little more properly
#conn = PGconn.connect({'dbname' => 'template1', 'user' => 'postgres'})

puts '-----------------------------'
print "DB Version\n"
puts '-----------------------------'
q = PsqlUtils::query_version_number
conn.query(q).each {|r| puts "NUMBER: #{r[0]} " }
q = PsqlUtils::query_version
conn.query(q).each {|r| puts "DETAIL: #{r[0]}" }

puts
puts '-----------------------------'
print "User List\n"
puts '-----------------------------'
q = PsqlUtils::query_list_users
conn.query(q).each {|r| r.each { |f| print "#{f}\t" }; puts }

puts
puts '-----------------------------'
print "DB List\n"
puts '-----------------------------'
q = PsqlUtils::query_list_dbs
conn.query(q).each {|r| r.each { |f| print "#{f}\t" }; puts }

puts
puts '-----------------------------'
print "#{db}'s Table List\n"
puts '-----------------------------'
q = PsqlUtils::query_list_tables
conn.query(q).each {|r| r.each { |f| print "#{f}\t" }; puts }

conn.close
exit 0
